/v1/twin/{twinId}/pois/{id}

Prev Next
Patch
/v1/twin/{twinId}/pois/{id}
Security
HTTP
Type bearer
OAuth
FlowAuthorization Code Client Credentials
Token URLhttps://cloud-api.prevu3d.com/rc-api/v1/auth/token
Scopes:
write:poiwrite:poi
Path parameters
twinId
stringRequired
id
stringRequired
Body parameters
Expand All
object
name
string

Name of the point of interest.

position
object

The position of the point of interest in the 3D space.

x
number Required
y
number Required
z
number Required
normal
object

The normal vector of the point of interest, indicating the orientation in 3D space.

x
number Required
y
number Required
z
number Required
distanceToSurface
number

The distance from the point of interest to the surface, represented as a float.

textureId
string

Icon representing the point of interest

Valid values[ "thumbtack", "heart", "plus", "cog", "lightbulb", "droplet", "circle-exclamation", "triangle-exclamation", "bolt", "star", "circle-question", "circle-check", "circle-xmark", "circle-info", "screwdriver-wrench" ]
color
object

Color of the icon (RGB)

r
number Required
g
number Required
b
number Required
a
number Required
Responses
200
Expand All
object
id
string
createdAt
string (date-time)
updatedAt
string (date-time)
name
string
position
object (Vector3)
x
number
y
number
z
number
normal
object (Vector3)
x
number
y
number
z
number
distanceToSurface
number
textureId
string
Valid values[ "thumbtack", "heart", "plus", "cog", "lightbulb", "droplet", "circle-exclamation", "triangle-exclamation", "bolt", "star", "circle-question", "circle-check", "circle-xmark", "circle-info", "screwdriver-wrench" ]
color
object (Color)
r
number
g
number
b
number
a
number